MediaInformationSession Class Reference

## Instance Methods

(instancetype) | - init:
(instancetype) | - init:withExecuteCallback:
(instancetype) | - init:withExecuteCallback:withLogCallback:
(MediaInformation *) | - getMediaInformation
(void) | - setMediaInformation:
Instance Methods inherited from FFprobeSession
(instancetype) | - init:withExecuteCallback:withLogCallback:withLogRedirectionStrategy:
(BOOL) | - isFFmpeg `[implementation]`
(BOOL) | - isFFprobe `[implementation]`
Instance Methods inherited from AbstractSession
(void) | - waitForAsynchronousMessagesInTransmit:
(ExecuteCallback) | - getExecuteCallback `[implementation]`
(LogCallback) | - getLogCallback `[implementation]`
(long) | - getSessionId `[implementation]`
(NSDate *) | - getCreateTime `[implementation]`
(NSDate *) | - getStartTime `[implementation]`
(NSDate *) | - getEndTime `[implementation]`
(long) | - getDuration `[implementation]`
(NSArray *) | - getArguments `[implementation]`
(NSString *) | - getCommand `[implementation]`
(NSArray *) | - getAllLogsWithTimeout: `[implementation]`
(NSArray *) | - getAllLogs `[implementation]`
(NSArray *) | - getLogs `[implementation]`
(NSString *) | - getAllLogsAsStringWithTimeout: `[implementation]`
(NSString *) | - getAllLogsAsString `[implementation]`
(NSString *) | - getLogsAsString `[implementation]`
(NSString *) | - getOutput `[implementation]`
(SessionState) | - getState `[implementation]`
(ReturnCode *) | - getReturnCode `[implementation]`
(NSString *) | - getFailStackTrace `[implementation]`
(LogRedirectionStrategy) | - getLogRedirectionStrategy `[implementation]`
(BOOL) | - thereAreAsynchronousMessagesInTransmit `[implementation]`
(void) | - addLog: `[implementation]`
(void) | - startRunning `[implementation]`
(void) | - complete: `[implementation]`
(void) | - fail: `[implementation]`
(void) | - cancel `[implementation]`

## Class Methods

(void) | + initialize `[implementation]`

## Detailed Description

A custom FFprobe session, which produces a `MediaInformation` object using the FFprobe output.

Definition at line 31 of file MediaInformationSession.h.

## Method Documentation

## getMediaInformation

- (MediaInformation *) getMediaInformation |  |  |

Returns the media information extracted in this session.

Returns
  media information extracted or nil if the command failed or the output can not be parsed

Definition at line 1 of file MediaInformationSession.m.

## init:

- (instancetype) init: |  | (NSArray*) | arguments |

Creates a new media information session.

Parameters

  arguments | command arguments

Reimplemented from FFprobeSession.

Definition at line 1 of file MediaInformationSession.m.

## init:withExecuteCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback

Creates a new media information session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback

Reimplemented from FFprobeSession.

Definition at line 1 of file MediaInformationSession.m.

## init:withExecuteCallback:withLogCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback
withLogCallback: |  | (LogCallback) | logCallback

Creates a new media information session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback
  logCallback | session specific log callback

Reimplemented from FFprobeSession.

Definition at line 1 of file MediaInformationSession.m.

## initialize

+ (void) initialize |  |  |

implementation

Reimplemented from FFprobeSession.

Definition at line 1 of file MediaInformationSession.m.

## setMediaInformation:

- (void) setMediaInformation: |  | (MediaInformation*) | mediaInformation |

Sets the media information extracted in this session.

Parameters

  mediaInformation | media information extracted

Definition at line 1 of file MediaInformationSession.m.

The documentation for this class was generated from the following files:

- MediaInformationSession.h
- MediaInformationSession.m